(function($) {
    'use strict';
    $(window).load(function() {
        $('.yeti-preloader').fadeOut('slow');
    });
    //For Testimonial
    var KathTestimonial = function($scope, $) {

        var slider_elem = $scope.find('.testimonials-slider').eq(0);

        var settings = slider_elem.data('settings');

        slider_elem.slick({
            autoplay: settings['autoplay'],
            dots: settings['dots'],
            arrows: settings['arrows'],
        });
    };
    //For Team
    var KathTeam = function($scope, $) {

        var team_elem = $scope.find('.expert-team-slider').eq(0);
        var teamsettings = team_elem.data('settings');
        if (teamsettings) {
            team_elem.slick({
                autoplay: teamsettings['autoplay'],
                dots: teamsettings['dots'],
                arrows: teamsettings['arrows'],
                slidesToShow: teamsettings['items'],
                responsive: [{
                    breakpoint: 991,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 1,
                    }
                }, {
                    breakpoint: 540,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1,
                        arrows: false,

                    }
                }]
            });
        }
    };

    //For Portfolio
    var KathPortfolio = function($scope, $) {

        var portfolio_elem = $scope.find('.portfolio-slider').eq(0);
        var portfoliosettings = portfolio_elem.data('settings');
        if (portfoliosettings) {
            var $arrow = portfoliosettings['arrows'];
            if ($arrow == 'true') {
                var $a = true;
            } else {
                var $a = false;
            }

            portfolio_elem.slick({
                autoplay: portfoliosettings['autoplay'],
                dots: portfoliosettings['dots'],
                arrows: $a,
                slidesToShow: portfoliosettings['items'],
                responsive: [{
                    breakpoint: 991,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 1,
                    }
                }, {
                    breakpoint: 540,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1,
                        arrows: false
                    }
                }]
            });

        }
    };


    $(window).on('elementor/frontend/init', function() {

        elementorFrontend.hooks.addAction('frontend/element_ready/kath-testimonial.default', KathTestimonial);
        elementorFrontend.hooks.addAction('frontend/element_ready/kath-team.default', KathTeam);
        elementorFrontend.hooks.addAction('frontend/element_ready/kath-portfolio.default', KathPortfolio);
    });
})(jQuery);