<?php

/* Regestering Post Types */

//For Portfolio
function yeti_portfolio() { 
	register_post_type( 'yeti_portfolio', 		
		array( 'labels' => 
				array(
				'name' => __( 'Portfolios', 'yeti' ),
				'singular_name' => __( 'Portfolio', 'yeti' ), 
				'all_items' => __( 'All Portfolios', 'yeti' ), 
				'add_new' => __( 'Add New', 'yeti' ), 
				'add_new_item' => __( 'Add New Portfolio', 'yeti' ), 
				'edit' => __( 'Edit Portfolio', 'yeti' ), 
				'edit_item' => __( 'Edit', 'yeti' ), 
				'new_item' => __( 'New Portfolio', 'yeti' ), 
				'view_item' => __( 'View Portfolio', 'yeti' ), 
				'search_items' => __( 'Search Portfolio', 'yeti' ),
				'not_found' =>  __( 'Nothing found in the Database.', 'yeti' ), 
				'not_found_in_trash' => __( 'Nothing found in Trash', 'yeti' ), 
				'parent_item_colon' => ''
				), 
			'public' => true,
			'publicly_queryable' => true,
			'exclude_from_search' => false,
			'show_ui' => true,
			'query_var' => true,
			'menu_position' => 25,
			'menu_icon' => 'dashicons-list-view',
			'rewrite'	=> array( 'slug' => 'portfolio', 'with_front' => false ), 
			'has_archive' => true,
			'capability_type' => 'post',
			'hierarchical' => false,
			'supports' => array( 'title', 'editor', 'thumbnail')
		) 
	); 
}
add_action( 'init', 'yeti_portfolio');

add_action( 'init', 'create_portfolio_taxonomies',0);
function create_portfolio_taxonomies() {
    $labels = array(
        'name'              => _x( 'Categories', 'yeti' ),
        'singular_name'     => _x( 'Category', 'yeti' ),
        'search_items'      => __( 'Search Categories','yeti' ),
        'all_items'         => __( 'All Categories','yeti' ),
        'parent_item'       => __( 'Parent Category','yeti' ),
        'parent_item_colon' => __( 'Parent Category:','yeti' ),
        'edit_item'         => __( 'Edit Category','yeti' ),
        'update_item'       => __( 'Update Category','yeti' ),
        'add_new_item'      => __( 'Add New Category','yeti' ),
        'new_item_name'     => __( 'New Category Name','yeti' ),
        'menu_name'         => __( 'Categories','yeti' ),
    );

    $args = array(
        'hierarchical'      => true, // Set this to 'false' for non-hierarchical taxonomy (like tags)
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'portfolios' ),
    );

    register_taxonomy( 'portfolio_cat', array( 'yeti_portfolio' ), $args );

}

function set_posts_per_page_for_portfolio( $query ) {
  if ( !is_admin() && $query->is_main_query() && is_post_type_archive( 'yeti_portfolio' ) ) {
    $query->set( 'posts_per_page', '-1' );
  }
}
add_action( 'pre_get_posts', 'set_posts_per_page_for_portfolio' );

//For Testimonial
function yeti_testimonial() { 
	register_post_type( 'yeti_testimonial', 		
		array( 'labels' => 
				array(
				'name' => __( 'Testimonials', 'yeti' ),
				'singular_name' => __( 'Testimonial', 'yeti' ), 
				'all_items' => __( 'All Testimonials', 'yeti' ), 
				'add_new' => __( 'Add New', 'yeti' ), 
				'add_new_item' => __( 'Add New Testimonial', 'yeti' ), 
				'edit' => __( 'Edit Testimonial', 'yeti' ), 
				'edit_item' => __( 'Edit', 'yeti' ), 
				'new_item' => __( 'New Post Testimonial', 'yeti' ), 
				'view_item' => __( 'View Testimonial', 'yeti' ), 
				'search_items' => __( 'Search Testimonial', 'yeti' ),
				'not_found' =>  __( 'Nothing found in the Database.', 'yeti' ), 
				'not_found_in_trash' => __( 'Nothing found in Trash', 'yeti' ), 
				'parent_item_colon' => ''
				), 
			'public' => true,
			'publicly_queryable' => true,
			'exclude_from_search' => false,
			'show_ui' => true,
			'query_var' => true,
			'menu_position' => 25,
			'menu_icon' => 'dashicons-businessman',
			'rewrite'	=> array( 'slug' => 'testimonial', 'with_front' => false ), 
			'has_archive' => true,
			'capability_type' => 'post',
			'hierarchical' => true,
			'supports' => array( 'title', 'editor', 'thumbnail')
		) 
	); 
}
add_action( 'init', 'yeti_testimonial');

add_action( 'init', 'create_testimonial_taxonomies',0);
function create_testimonial_taxonomies() {
    $labels = array(
        'name'              => _x( 'Categories', 'yeti' ),
        'singular_name'     => _x( 'Category', 'yeti' ),
        'search_items'      => __( 'Search Categories','yeti' ),
        'all_items'         => __( 'All Categories','yeti' ),
        'parent_item'       => __( 'Parent Category','yeti' ),
        'parent_item_colon' => __( 'Parent Category:','yeti' ),
        'edit_item'         => __( 'Edit Category','yeti' ),
        'update_item'       => __( 'Update Category','yeti' ),
        'add_new_item'      => __( 'Add New Category','yeti' ),
        'new_item_name'     => __( 'New Category Name','yeti' ),
        'menu_name'         => __( 'Categories','yeti' ),
    );

    $args = array(
        'hierarchical'      => true, // Set this to 'false' for non-hierarchical taxonomy (like tags)
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'testimonials' ),
    );

    register_taxonomy( 'testi_cat', array( 'yeti_testimonial' ), $args );

}

//For Team
function yeti_team() { 
	register_post_type( 'yeti_team', 		
		array( 'labels' => 
				array(
				'name' => __( 'Teams', 'yeti' ),
				'singular_name' => __( 'Team', 'yeti' ), 
				'all_items' => __( 'All Teams', 'yeti' ), 
				'add_new' => __( 'Add New', 'yeti' ), 
				'add_new_item' => __( 'Add New Team', 'yeti' ), 
				'edit' => __( 'Edit Team', 'yeti' ), 
				'edit_item' => __( 'Edit', 'yeti' ), 
				'new_item' => __( 'New Post Team', 'yeti' ), 
				'view_item' => __( 'View Team', 'yeti' ), 
				'search_items' => __( 'Search Team', 'yeti' ),
				'not_found' =>  __( 'Nothing found in the Database.', 'yeti' ), 
				'not_found_in_trash' => __( 'Nothing found in Trash', 'yeti' ), 
				'parent_item_colon' => ''
				), 
			'public' => true,
			'publicly_queryable' => true,
			'exclude_from_search' => false,
			'show_ui' => true,
			'query_var' => true,
			'menu_position' => 25,
			'menu_icon' => 'dashicons-groups',
			'rewrite'	=> array( 'slug' => 'team', 'with_front' => false ), 
			'has_archive' => true,
			'capability_type' => 'post',
			'hierarchical' => true,
			'supports' => array( 'title', 'editor', 'thumbnail')
		) 
	); 
}
add_action( 'init', 'yeti_team');

add_action( 'init', 'create_team_taxonomies',0);
function create_team_taxonomies() {
    $labels = array(
        'name'              => _x( 'Categories', 'yeti' ),
        'singular_name'     => _x( 'Category', 'yeti' ),
        'search_items'      => __( 'Search Categories','yeti' ),
        'all_items'         => __( 'All Categories','yeti' ),
        'parent_item'       => __( 'Parent Category','yeti' ),
        'parent_item_colon' => __( 'Parent Category:','yeti' ),
        'edit_item'         => __( 'Edit Category','yeti' ),
        'update_item'       => __( 'Update Category','yeti' ),
        'add_new_item'      => __( 'Add New Category','yeti' ),
        'new_item_name'     => __( 'New Category Name','yeti' ),
        'menu_name'         => __( 'Categories','yeti' ),
    );

    $args = array(
        'hierarchical'      => true, // Set this to 'false' for non-hierarchical taxonomy (like tags)
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'teams' ),
    );

    register_taxonomy( 'team_cat', array( 'yeti_team' ), $args );

}

/* Social Share */
function yeti_social_share(){
	?>
    <ul class="journal-social-icons text-center font1 text-uppercase">
        <li>
            <a class="facebook" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" target="_blank">
                <span><i class="fa fa-facebook"></i></span>
            </a>
        </li>
        <li>
            <a class="twitter" href="https://twitter.com/intent/tweet?text=<?php the_title(); ?>url=<?php the_permalink(); ?>" target="_blank">
                <span><i class="fa fa-twitter"></i></span>
            </a>
        </li>
        <li>
            <a class="linkedin" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&summary=<?php the_title(); ?>" target="_blank">
                <span><i class="fa fa-linkedin"></i></span>
            </a>
        </li>
        <li>
            <a class="pinterest" href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&description=<?php the_title(); ?>" target="_blank">
                <span><i class="fa fa-pinterest"></i></span>
            </a>
        </li>
    </ul>
	<?php
}

/* Print Shortcode Function */
function yeti_print_shortcode($content){
    echo do_shortcode($content);
}

if( ! shortcode_exists( 'site_name' ) ) {
    add_shortcode( 'site_name', 'yeti_print_sitename' );
    function yeti_print_sitename() {
        // since we don't need much info return directly
        return get_bloginfo('Name');
    }
}

if( ! shortcode_exists( 'year' ) ) {
    add_shortcode( 'year', 'yeti_print_year' );
    function yeti_print_year() {
        return date_i18n('Y');
    }
}