<?php 
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
/*
  Plugin Name: Kath Custom Elements
  Plugin URI:  kaththemes.com/
  Description: A plugin that includes Elementor Elements.
  Version:     1.0.0
  Author:      Kaththemes
  Author URI:  http://themeforest.net/user/bickyg
  License:     GPL2 or later
  License URI: https://www.gnu.org/licenses/gpl-2.0.html
  Domain Path: /languages/
  Text Domain: kath-custom-elements
 */



  // Create class Kath_Custom_Elements
  if(!class_exists('Kath_Custom_Elements')){
    class Kath_Custom_Elements{

        // Construtor to load all hooks
	    function __construct(){
	        $this->define_constants();
	        $this->kath_includes();
	        add_action( 'init', array($this,'kath_init') );
	        add_action('elementor/widgets/widgets_registered',array($this,'kath_elements_register'));
            add_action( 'elementor/frontend/after_register_scripts', array($this,'register_frontend_scripts') );
            add_action( 'elementor/frontend/after_enqueue_styles', array($this,'register_frontend_styles') );
	    }

	    function kath_includes(){
			require_once 'includes/elementor-helper.php';
			require_once 'includes/theme-functions.php';
			require_once 'includes/kath-element-functions.php';
            if(function_exists('cs_framework_init')){
				require_once 'includes/widgets/widget-config.php';
				require_once 'includes/widgets/recent-posts.php';
				require_once 'includes/widgets/recent-comments.php';
		    }
	    }


		// Register Text Domain
		function kath_init(){
		  load_plugin_textdomain( 'kath-custom-elements', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 

		}

		// Define Folder Paths
		function define_constants(){
		  defined('KEL_CSS_DIR') or define('KEL_CSS_DIR',plugin_dir_url(__FILE__).'/assets/css');
		  defined('KEL_JS_DIR') or define('KEL_JS_DIR',plugin_dir_url(__FILE__).'/assets/js');
		  defined('KEL_LIB_DIR') or define('KEL_LIB_DIR',plugin_dir_url(__FILE__).'/assets/lib');
		  defined('KEL_IMG_DIR') or define('KEL_IMG_DIR',plugin_dir_url(__FILE__).'/assets/images');
		  defined('KEL_PATH') or define('KEL_PATH',plugin_dir_path(__FILE__));
		  defined('KEL_VERSION') or define('KEL_VERSION','1.0.0');
		}

		function kath_elements_register(){
			require_once KEL_PATH.'elements/buttons.php';
			require_once KEL_PATH.'elements/portfolio.php';
			require_once KEL_PATH.'elements/testimonial.php';
			require_once KEL_PATH.'elements/team.php';
			require_once KEL_PATH.'elements/blog.php';
			require_once KEL_PATH.'elements/case-study.php';
			require_once KEL_PATH.'elements/video-popup.php';
			require_once KEL_PATH.'elements/timeline.php';
		}

		// Register Frontend resources (Enqueue scripts and style)
		function register_frontend_styles(){
			wp_enqueue_style('kath-custom-elements-frontend-font-awesome-style',KEL_LIB_DIR.'/font-awesome/css/font-awesome.min.css',array(),KEL_VERSION);
			wp_enqueue_style('kath-custom-elements-frontend-slick-style',KEL_LIB_DIR.'/slick/slick.css',array(),KEL_VERSION);
		    wp_enqueue_style('kath-custom-elements-frontend-slick-theme-style',KEL_LIB_DIR.'/slick/slick-theme.css',array(),KEL_VERSION);
		    wp_enqueue_style('kath-custom-elements-frontend-style',KEL_CSS_DIR.'/frontend.css',array(),KEL_VERSION);
		}

		function register_frontend_scripts(){
			wp_enqueue_script('kath-custom-elements-slick-script',KEL_LIB_DIR.'/slick/slick.min.js',array('jquery'), KEL_VERSION, true);
			wp_enqueue_script('kath-custom-elements-frontend-script',KEL_JS_DIR.'/frontend.js',array('jquery'), KEL_VERSION, true);
		}
	}
	
	// Creating Kath_Custom_Elements class object
	$Kath_Custom_Elements_obj = new Kath_Custom_Elements();
}

