<?php

get_header();

$banner_image = cs_get_option('portfolio_banner');
$banner_title = cs_get_option('portfolio_title');
?>
<!-- Banner starts -->
<section class="banner-wrapper inner portfolio-banner">
    <figure class="parallax parallax-window7" data-parallax="scroll" data-image-src="<?php echo esc_url($banner_image);?>">
        <span class="overlay"></span>
    </figure>
    <?php if($banner_title){?>
    <div class="banner-content text-center font1">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-md-offset-2 col-sm-10 col-sm-offset-1 col-xs-12">
                    <h1><?php echo esc_html($banner_title);?></h1>
                </div>
            </div>
        </div>
    </div>
    <?php }?>
</section>
<!-- Banner Ends -->
<!-- Portfolio Starts -->
<section class="portfolio-wrapper section-padding">
    <div class="container">
        <ul class="portfolio-title font1">
            <li class="active"><a href="#" data-filter="*"><?php echo esc_html__('All','yeti');?></a></li>
            <?php 
            $taxonomy = 'portfolio_cat';  
            $terms = get_terms($taxonomy); 
            if ( $terms && !is_wp_error( $terms ) ) :
	            foreach ( $terms as $term ) {
                    ?>
                    <li><a href="javascript:void(0)" data-filter=".<?php echo esc_attr($term->slug); ?>" class="txt-dark">
                    <?php echo esc_html($term->name);?></a></li>
                    <?php
	            }
            endif;
            ?>
        </ul>

        <div class="portfolio-images-wrapper">
            <div class="portfolio">
			<?php
			if ( have_posts() ) :
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					/*
					 * Include the Post-Type-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
					 */
					$portfolio_layout = cs_get_option('portfolio_layout','layout2');
					get_template_part( 'layouts/portfolio/portfolio', $portfolio_layout );

				endwhile;

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			wp_reset_postdata();
			?>
            </div>
        </div>
    </div>
</section>  
<?php
get_footer();