jQuery(document).ready(function($) {
    'use strict';
    var win = $(window);

    //Preloader section
    win.load(function() {
        $('.yeti-preloader').fadeOut('slow');
    });

    var c, currentScrollTop = 100,
        header = $('.is-sticky header.scroll');

    win.scroll(function() {
        var a = win.scrollTop();
        var b = header.height();

        currentScrollTop = a;

        if (c < currentScrollTop && a > b + b) {
            header.removeClass('nav-down').addClass('nav-up', 200);
        } else if (c > currentScrollTop && !(a <= b)) {
            header.removeClass('nav-up').addClass('nav-down', 200);
        } else {
            header.removeClass('nav-down');
            header.removeClass('nav-up');
        }
        c = currentScrollTop;
    });

    var img7 = $('.parallax-window7').attr('data-image-src');
    $('.parallax-window7').parallax({
        imageSrc: img7
    });

    var img12 = $('.parallax-window12').attr('data-image-src');
    $('.parallax-window12').parallax({
        imageSrc: img12
    });



    $('.nav-btn').on('click', function() {
        $('.sidenav').toggleClass('open');
        $('.nav-btn').toggleClass('animate')
    });

    $('.menu-bar').on('click', function() {
        $('.sidenav').toggleClass('open');
        $('.menu-bar').toggleClass('animate')
    });

    $('.menu-close').on('click', function() {
        $('.sidenav').toggleClass('open');
        $('.menu-bar').toggleClass('animate');
        $('.nav-btn').toggleClass('animate')
    });

    $('.platforms-slider').slick({
        autoplay: true,
        slidesToShow: 5,
        slidesToScroll: 1,
        responsive: [{
            breakpoint: 768,
            settings: {
                slidesToShow: 2,

            }
        }]
    });

    $('.intro-slider').slick({
        autoplay: true,
        autoplaySpeed: 4000,
        dots: true,
    });

    $(document).on('click', '.banner-content a[href^="#"].down', function(event) {
        event.preventDefault();

        $('html, body').animate({
            scrollTop: $($.attr(this, 'href')).offset().top
        }, 2000);
    });


    $(function() {
        $('#container').masonry({
            // options
            itemSelector: '.item',
            columnWidth: 0,
        });
    });

    win.on('load', function() {
        // Isotope
        $(function() {
            // init Isotope
            var $grid = $('.portfolio').isotope({
                itemSelector: '.portfolio-image',
                layoutMode: 'fitRows'
            });
            // filter items on button click
            $('.portfolio-title li').on('click', 'a', function(e) {
                e.preventDefault();
                var filterValue = $(this).attr('data-filter');
                $grid.isotope({
                    filter: filterValue
                });
                var $parentLi = $(this).parents('li');
                $parentLi.addClass('active');
                $parentLi.siblings('li').removeClass('active');
            });
        });
    });


    /* video popup */
    $('.js-video-popup').each(function() {
        var $auto = $(this).attr('data-play');
        new ModalVideo($(this), {
            youtube: {
                autoplay: $auto
            },
            vimeo: {
                autoplay: $auto
            }
        });
    });

    /* Full Page Menu */
    $('.sidenav .sub-menu').hide();

    $('.sidenav .navbar-nav li.menu-item-has-children>a').on('click', function(event) {
        event.preventDefault();
        $(this).next().slideToggle();
        $(this).parent('li').siblings('li').find('ul.sub-menu').slideUp();
    });

    /* Scrollup */
    $('.scrollup').on("click", function() {
        $("html, body").animate({
            scrollTop: 0
        }, 1500);
        return false;
    });

});