<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yeti
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) :
		?>
		<h4 class="comments-title">
			<?php
			$yeti_comment_count = get_comments_number();
			if ( '1' === $yeti_comment_count ) {

				echo esc_html__( '1 Comment', 'yeti' );

			} else {

				printf(esc_html__('%1$s Comments','yeti'),$yeti_comment_count);
			}
			?>
		</h4><!-- .comments-title -->

		<?php the_comments_navigation(); ?>

		<ol class="comment-list">
			<?php
			wp_list_comments( array(
				'style'      => 'ol',
				'short_ping' => true,
			) );
			?>
		</ol><!-- .comment-list -->

		<?php
		the_comments_navigation();

		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() ) :
			?>
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'yeti' ); ?></p>
			<?php
		endif;

	endif; // Check for have_comments().
    $comment_args = array(
    	'title_reply_before' => '<h4 id="reply-title" class="comment-reply-title">',
    	'title_reply_after' => '</h4>',
    	);
	comment_form($comment_args);
	?>

</div><!-- #comments -->
