<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package yeti
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php $preloader = cs_get_option('yeti_preloader_enable'); ?>

<?php if( $preloader == true): ?>
<div class="yeti-preloader"></div>
<?php endif; ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'yeti' ); ?></a>

    <?php 
    $header_layout = cs_get_option('header_layout','layout1');
    get_template_part('layouts/header/header',$header_layout);
    ?>
	<div id="content" class="site-content">
