<?php if (!defined('ABSPATH')) {
    die;
}

add_filter( 'cs_metabox_options', 'yeti_metabox' );
function yeti_metabox( $metabox ) {
    $metabox = array();	

	$metabox[]    = array(
	  'id'        => 'yeti_portfolio_option',
	  'title'     => esc_html__('Portfolio Options','yeti'),
	  'post_type' => 'yeti_portfolio',
	  'context'   => 'normal',
	  'priority'  => 'high',
	  'sections'  => array(
	    array(
	      'name'   => 'company',
	      //'title'  =>  esc_html__('Company Name','yeti'),
	      'fields' => array(
	        array(
	          'id'      => 'company',
	          'type'    => 'text',
	          'title' => esc_html__('Company Name','yeti')
	        ),	        
	      ),
	    ),
	  ),
	);

	$metabox[]    = array(
	  'id'        => 'yeti_testimonials_option',
	  'title'     => esc_html__('Client Position','yeti'),
	  'post_type' => 'yeti_testimonial',
	  'context'   => 'side',
	  'priority'  => 'high',
	  'sections'  => array(
	    array(
	      'name'   => 'position',
	      'fields' => array(
	        array(
	          'id'      => 'position',
	          'type'    => 'text',
	          'title' => esc_html__('Position','yeti')
	        ),	        
	      ),
	    ),
	  ),
	);

	$metabox[]    = array(
	  'id'        => 'yeti_team_option',
	  'title'     => esc_html__('Team Options','yeti'),
	  'post_type' => 'yeti_team',
	  'context'   => 'normal',
	  'priority'  => 'high',
	  'sections'  => array(
	    array(
	      'name'   => 'position',
	      'fields' => array(
	        array(
	          'id'      => 'position',
	          'type'    => 'text',
	          'title' => esc_html__('Position','yeti')
	        ),
	        array(
	          'type'    => 'subheading',
	          'content' => esc_html__('Social Profile','yeti')
	        ),	
	        array(
	          'id'      => 'fb',
	          'type'    => 'text',
	          'title' => esc_html__('Facebook','yeti')
	        ),  
	        array(
	          'id'      => 'twit',
	          'type'    => 'text',
	          'title' => esc_html__('Twitter','yeti')
	        ), 
	        array(
	          'id'      => 'insta',
	          'type'    => 'text',
	          'title' => esc_html__('Instagram','yeti')
	        ),  
	      ),
	    ),
	  ),
	);

    $metabox[] = array(
        'post_type'  => array('page'),
        'id' => '_custom_meta',
        'title' => esc_html__( 'Page Settings', 'yeti' ),
        'context' => 'normal',
        'priority' => 'default',
        'sections' => array(
            array(
                'name' => 'sidebar-section',
                'title' => esc_html__( 'Sidebar', 'yeti' ),
                'fields' => array(
		            array(
		                'type' => 'subheading',
		                'content' => esc_html__( 'Sidebar Settings', 'yeti' ),
		            ),

                    array(
                        'id' => 'page_sidebar_position',
		                'type'           => 'select',
		                'title'          => esc_html__( 'Choose Sidebar Layout', 'yeti' ),
		                'options'        => array(
		                    'nosidebar'          => esc_html__( 'No Sidebar', 'yeti' ),
		                    'leftsidebar'     => esc_html__( 'Left Sidebar', 'yeti' ),
		                    'rightsidebar'     => esc_html__( 'Right Sidebar', 'yeti' ),
		                ),
		                'default' => 'nosidebar'
                    ),

                    array(
                        'id' => 'page_sidebar_select',
                        'type' => 'select',
                        'options' => 'sidebar',
                        'title' => esc_html__( 'Choose sidebar', 'yeti' ),
                        'default_option' => esc_html__( 'Select one', 'yeti'),
                        'default' => 'default-sidebar',
                        'dependency' => array( 'page_sidebar_position', 'any', 'leftsidebar,rightsidebar' )
                    ),
                ) 
            ), 
            array(
                'name' => 'header-section',
                'title' => esc_html__( 'Header', 'yeti' ),
                'fields' => array(
		            array(
		                'type' => 'subheading',
		                'content' => esc_html__( 'Header Settings', 'yeti' ),
		            ),

				    array(
				      'id'      => 'header_transparent',
				      'type'    => 'checkbox',
				      'title'   => esc_html__( 'Header Option', 'yeti' ),
				      'label'   => esc_html__( 'Transparent Header ?', 'yeti' ),
				    ),
				    array(
				      'type'    => 'notice',
				      'class'   => 'info',
				      'content' => esc_html__( 'This option is only applicable if Header layout 2 is selected from theme option.', 'yeti' ),
				    ),

                ) 
            ), 
            array(
                'name' => 'blog-section',
                'title' => esc_html__( 'Blog', 'yeti' ),
                'fields' => array(
                    array(
                        'type' => 'subheading',
                        'content' => esc_html__( 'Blog Settings. Only applicable when "Blog" template is selected.', 'yeti' ),
                    ),

                    array(
                        'id' => 'blog_page_layout',
                        'type' => 'radio',
                        'title' => esc_html__( 'Blog Layout', 'yeti' ),
                        'options' => array(
                            'list' => esc_html__( 'List', 'yeti' ),
                            'grid' => esc_html__( 'Grid', 'yeti' ),
                        ),
                        'default' => 'list',
                    ),
		            array(
		                'id' => 'blog_excerpt',
		                'type' => 'number',
		                'title' => esc_html__( 'Excerpt Length', 'yeti' ),
		                'default' => 50,
		            ),
                ) 
            ),
            array(
                'name' => 'portfolio-section',
                'title' => esc_html__( 'Portfolio', 'yeti' ),
                'fields' => array(
                    array(
                        'type' => 'subheading',
                        'content' => esc_html__( 'Portfolio Settings. Only applicable when "Portfolio" template is selected.', 'yeti' ),
                    ),

                    array(
                        'id' => 'portfolio_layout',
                        'type' => 'select',
                        'title' => esc_html__( 'Portfolio Layout', 'yeti' ),
                        'options' => array(
                            'layout1' => esc_html__( 'Layout1', 'yeti' ),
                            'layout2' => esc_html__( 'Layout2', 'yeti' ),
                            'layout3' => esc_html__( 'Layout3', 'yeti' ),
                        ),
                        'default' => 'layout1',
                    ),
		            array(
		                'id' => 'portfolio_title',
		                'type' => 'text',
		                'title' => esc_html__( 'Portfolio Title', 'yeti' ),
		            ),
                ) 
            ),      
        )
    );
	return $metabox;
}	