<?php
if( ! defined( 'ABSPATH' ) ) {
	exit; 	// exit if accessed directly
}

add_action( 'tgmpa_register', 'yeti_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function yeti_register_required_plugins() {

	$plugins = array(
		/**
		 * Bundled Plugins
		 */
		
		// codestar framework
		array(
			'name'               => esc_html__( 'Codestar Framework', 'yeti' ),
			'slug'               => 'codestar-framework',
			'source'             => YETI_EXTERNAL_PLUGIN_SOURCE . 'codestar-framework.zip',
			'required'           => true,
			'version'            => '1.0.1', 
		),

		// yeti shortcodes
		array(
			'name'	             => esc_html__( 'Kath Custom Elements', 'yeti' ),
			'slug'               => 'kath-custom-elements',
			'source'             =>  YETI_EXTERNAL_PLUGIN_SOURCE . 'kath-custom-elements.zip',
			'required'           => true,
			'version'            => '1.0.0'  
		),

		// yeti demo importer
		array(
			'name'	             => esc_html__( 'Kath Demo Importer', 'yeti' ),
			'slug'               => 'kath-demo-importer',
			'source'             =>  YETI_EXTERNAL_PLUGIN_SOURCE . 'kath-demo-importer.zip',
			'required'           => true,
			'version'            => '1.0.0'  
		),

		// slider revolution
		array(
			'name'	             => esc_html__( 'Slider Revolution', 'yeti' ),
			'slug'               => 'revslider',
			'source'             =>  YETI_EXTERNAL_PLUGIN_SOURCE . 'revslider-5.4.8.3.zip',
			'required'           => true,
			'version'            => '5.4.8.3'  
		),

		// Elementor
		array(
			'name'      => esc_html__( 'Elementor', 'yeti' ),
			'slug'      => 'elementor',
			'required'  => true,
		),

		// Contact form 7
		array(
			'name'      => esc_html__( 'Contact Form 7', 'yeti' ),
			'slug'      => 'contact-form-7',
			'required'  => false,
		),

		// Instagram Feed
		array(
			'name'      => esc_html__( 'Instagram Feed', 'yeti' ),
			'slug'      => 'instagram-feed',
			'required'  => false,
		),

	);


	// Settings for plugin installation screen
	$config = array(
		'id'           => 'tgmpa-yeti',
		'default_path' => '',
		'menu'         => 'yeti-install-plugins',
		'parent_slug'  => 'themes.php',
		'capability'   => 'edit_theme_options',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',		
	);

	tgmpa( $plugins, $config );
}



/* PHP Closing tag is omitted */