<?php
/**
 * Yeti Constants definition file
 *
 * @package  Yeti
 */
// get theme data
$theme = wp_get_theme();

// theme core directory path & uri
$dir = get_template_directory();
$uri = get_template_directory_uri();

/**
 * Theme constants
 */
define( 'YETI_THEME', $theme->get( 'Name' ) );
define( 'YETI_VERSION', $theme->get( 'Version' ) );

/**
 * Template directory & uri
 */
define( 'YETI_DIR', wp_normalize_path( $dir ) );
define( 'YETI_URI', trailingslashit( $uri ) );

/**
 * Theme assets URI & DIR
 */
define( 'YETI_ASSETS', YETI_DIR . '/assets/' );
define( 'YETI_ASSETS_URI', YETI_URI . 'assets/' );
define( 'YETI_CSS', YETI_ASSETS_URI . 'css/' );
define( 'YETI_JS', YETI_ASSETS_URI . 'js/' );
define( 'YETI_IMAGES', YETI_ASSETS_URI . 'images/' );

/**
 * External plugin sources
 */
define( 'YETI_EXTERNAL_PLUGIN_SOURCE', 'http://demo.kaththemes.com/pplugins/yeti/' );

/**
 * CS_OPTION fallback
 */
if( !defined( 'CS_OPTION' ) ) {
	define( 'CS_OPTION', '_cs_options' );
}

/* PHP Closing tag is omitted */