<?php

/**
 * Enqueue scripts and styles.
 */
function yeti_scripts() {
	//Styles
	wp_enqueue_style('font-awesome-style',YETI_CSS. 'font-awesome.min.css');
	wp_enqueue_style('bootstrap-style',YETI_CSS. 'bootstrap.min.css');
    if(!class_exists('Kath_Custom_Elements')){
    wp_enqueue_style('slick-style',YETI_CSS. 'slick.css');
    wp_enqueue_style('slick-theme-style',YETI_CSS. 'slick-theme.css');
    }
    wp_enqueue_style('video-popup-style',YETI_CSS. 'modal-video.min.css');
    wp_enqueue_style('lightbox-style',YETI_CSS. 'lightbox.css');
    $yeti_font_args = array('family' => 'La+Belle+Aurore%7CLibre+Franklin:300,400,500,600,700,800,900%7CPoppins:300,400,500,600,700,800,900');
    wp_enqueue_style('yeti-fonts', add_query_arg($yeti_font_args, "//fonts.googleapis.com/css"));
	wp_enqueue_style( 'yeti-style', get_stylesheet_uri() );
    wp_enqueue_style('yeti-responsive',YETI_CSS. 'responsive.css');
    
    //Scripts
	wp_enqueue_script( 'yeti-navigation', YETI_JS . 'navigation.js', array(), YETI_VERSION, true );
	wp_enqueue_script( 'yeti-skip-link-focus-fix', YETI_JS . 'skip-link-focus-fix.js', array(), YETI_VERSION, true );
    wp_enqueue_script( 'bootstrap', YETI_JS . 'bootstrap.min.js', array('jquery'), YETI_VERSION, true );
    wp_enqueue_script( 'isotope', YETI_JS . 'isotope.pkgd.min.js', array('jquery'), YETI_VERSION, true );
    if(!class_exists('Kath_Custom_Elements')){
    wp_enqueue_script( 'slick-slider', YETI_JS . 'slick.min.js', array('jquery'), YETI_VERSION, true );
    }
    wp_enqueue_script( 'parallax', YETI_JS . 'parallax.min.js', array('jquery'), YETI_VERSION, true );
    wp_enqueue_script( 'video-popup', YETI_JS . 'modal-video.js', array('jquery'), YETI_VERSION, true );
    wp_enqueue_script( 'lightbox', YETI_JS . 'lightbox.js', array('jquery'), YETI_VERSION, true );
    wp_enqueue_script( 'yeti-custom', YETI_JS . 'custom.js', array('jquery'), YETI_VERSION, true );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'yeti_scripts' );


//admin scripts
function yeti_admin_scripts() {
   
    wp_enqueue_style( 'yeti-admin-styles', YETI_CSS . 'admin.css');

}
add_action( 'admin_enqueue_scripts', 'yeti_admin_scripts' );



/**
 * Enqueue editor styles for Gutenberg
 */
function yeti_editor_styles() {
    $yeti_font_args = array(
        'family' => 'La+Belle+Aurore%7CLibre+Franklin:300,400,500,600,700,800,900%7CPoppins:300,400,500,600,700,800,900',
        );
    wp_enqueue_style( 'yeti-google-fonts', add_query_arg( $yeti_font_args, "//fonts.googleapis.com/css" ) );

    wp_enqueue_style( 'yeti-editor-style', YETI_CSS . 'style-editor.css' );
}
add_action( 'enqueue_block_editor_assets', 'yeti_editor_styles' );