<?php

//CS Option Fallback
if( ! function_exists('cs_get_option' ) ) {
    // fallback if codestar framework if not active
    function cs_get_option( $option_name = '', $default = '' ) {
        $options = apply_filters( 'cs_get_option', get_option( CS_OPTION ), $option_name, $default );

        if( ! empty( $option_name ) && ! empty( $options[$option_name] ) ) {
            return $options[$option_name];
        } else {
            return ( ! empty( $default ) ) ? $default : null;
        }
    }
}

// Yeti entry meta
if( ! function_exists( 'yeti_entry_meta' ) ):
    function yeti_entry_meta() {
        global $post; 
        $author_id=$post->post_author;
        $author_avatar = get_avatar( $author_id, '50' );
        ?>
        <div class="yeti-post-meta">
	        <span class="meta-author-avatar"> 
	            <?php 
                echo wp_kses_post($author_avatar);
                the_author_meta( 'nickname', $author_id ); 
                ?>
	        </span>

	        <span> 
	            <i class="fa fa-calendar"></i>  <?php echo get_the_date(); ?>
	        </span>

	        <span> 
	            <i class="fa fa-comment-o"></i>
	            <a href="<?php echo esc_url( get_permalink() ) ?>#comments">
	                <?php
	                echo get_comments_number();
	                ?>
	            </a> 
	        </span>   
        </div>
        <?php
    }
endif;

/**
 * Get Post Excerpt Length
 */
function yeti_get_excerpt_content( $content, $limit ) {
    $striped_content = strip_tags( $content );
    $striped_content = strip_shortcodes( $striped_content );
    $limit_content = wp_trim_words( $striped_content, $limit, '...' );
    return $limit_content;
}