<?php

/* Theme Dynamic Styles */
function yeti_dynamic_styles(){
	//For Preloader
	$preloader = cs_get_option( 'yeti_preloader_lists', 'loader1' );

	$output_css = '';
	$output_css = ".yeti-preloader{
	            position: fixed;
	            left: 0px;
	            top: 0px;
	            width: 100%;
	            height: 100%;
	            z-index: 9999999;
	            background: url( '".get_template_directory_uri()."/assets/images/preloader/".$preloader.".gif') center no-repeat #fff;
	}";

    //Theme Colors
    $primary_color = sanitize_hex_color(cs_get_option('primary_color','#ff8b24'));
    $secondary_color = sanitize_hex_color(cs_get_option('secondary_color','#5029c0'));

    $output_css .= ".first-header .navbar-nav li a:hover,.work-btn a,.bl,.testimonials-wrapper .testimonials-slider p i, .about-us-quote i,.fixed.side-text a:hover,a:hover, .navbar-default .navbar-nav>li.active>a, .navbar-default .navbar-nav>li.active>a:hover, .navbar-default .navbar-nav>li>a:hover, .contact-info li a:hover, a:focus,.link,.navbar-nav li.current-menu-item a, .navbar-nav li.current-menu-parent > a,.first-header .navbar-nav>li ul.sub-menu li a:hover, .first-header .navbar-nav ul.sub-menu li.current-menu-item>a,.first-header .navbar-nav ul.sub-menu li.current-menu-parent>a,
        ul.portfolio-title li.active a,.our-journal-wrapper .figure-text>a,footer .widget ul li a:hover,footer .calendar_wrap tfoot a:hover{
        color: $primary_color;
    }";
    $output_css .= ".bg1, .work-btn a:hover, .start-project-wrapper a, .link span:after, .panel-group a:hover, .panel-group a:focus, .panel-group a.active, .header-action-btn.btn-effect span.bg, .work-client.btn-effect span.bg, ul.portfolio-title li a:before, .journal-social-icons li a:before, .journal-social-icons li a:after, .link span.top, .link span.left, .link span.right, .link span.bottom, .hiring-wrapper .btn-effect span.bg, .nav.navbar-nav li ul.drop-menu li.active a, .expert-team-member-wrapper .hiring .btn-effect .bg, .work-client.btn-effect:focus,.testimonials-slider .slick-dots li.slick-active button:before,.link.animate span.text:after,.link.animate .btn-up:before,
        .link.animate .btn-up:after,.hiring a.btn-effect:hover,.calendar_wrap table td#today,aside#secondary .widget input[type=\"submit\"],ul.portfolio-title li.active a:before,.get-in-touch-wrapper form input[type=\"submit\"],
        footer .widget_search .search-submit:hover{
        background-color: $primary_color;
    }";
    $output_css .= ".work-btn a{
        border-color: $primary_color;
    }";

    $output_css .= "a.scrollup:hover,.member-name a:hover,.second-journal a.link:hover,
    .expert-team figcaption a:hover,.our-journal-wrapper .figure-text>a:hover,.contact-wrapper .contact-information input, p.has-drop-cap:first-letter{
        color: $secondary_color;
    }";
    $output_css .= "a.scrollup,.btn-effect:hover,
    .line-through-animate:before, .line-through-animate:after,
    .get-in-touch-wrapper form .btn-effect:hover,.bg15, .btn-effect span.bg, .slider h5:after, .work-client.btn-effect:hover, .contact-form-v1 form .send-btn:hover, .modal-video .modal-video-close-btn:hover,
    .expert-team figcaption,.pagination .nav-links span.page-numbers.current, .pagination .nav-links .page-numbers:hover,footer .widget_search .search-submit,.get-in-touch-wrapper form input[type=\"submit\"]:hover,.journal-image figcaption .post-categories li a,.yeti-blog  figure figcaption .post-categories li a,.journal-block-wrapper .journal-block figure figcaption .post-categories li a,.related-articals figure figcaption .post-categories li a,.post-categories li a,.no-image .post-categories li a{
        background-color: $secondary_color;
    }";
    $output_css .= "{
        border-color: $secondary_color;
    }";
    
    //For Menu Styles
    $menu_bg = sanitize_hex_color(cs_get_option('menu_bg_color','#202020'));
    $menu_text = sanitize_hex_color(cs_get_option('menu_text_color','#fff'));
    $menu_htext = sanitize_hex_color(cs_get_option('menu_text_hcolor','#ff8b24'));

	$output_css.= "
	.header-layout2 .side-menu .menu-main-menu-container{ background-color: $menu_bg; }
    .header-layout2 .sidenav .navbar-nav>li>a{ color: $menu_text; }
    .header-layout2 .sidenav .navbar-nav li.current-menu-item a, .header-layout2 .sidenav .navbar-nav li.current-menu-parent>a, .header-layout2 .sidenav .navbar-nav>li>a:hover, .header-layout2 .sidenav .navbar-nav>li>a:focus, .header-layout2 .sidenav .sub-menu li a:hover{ 
    	color: $menu_htext;
    }
	";

    //For Banner Backgrounds
    $page_bg_color = sanitize_hex_color(cs_get_option('page_banner_bg_color','#202020'));
    $page_banner_height = cs_get_option('page_banner_height',200);
    $portfolio_bg_color = sanitize_hex_color(cs_get_option('portfolio_banner_bg_color','#202020'));
    $portfolio_banner_height = cs_get_option('portfolio_banner_height',200);
    $blog_bg_color = sanitize_hex_color(cs_get_option('blog_banner_bg_color','#202020'));
    $blog_banner_height = cs_get_option('blog_banner_height',200);
    $output_css .= ".banner-wrapper.page .parallax{
        background-color: $page_bg_color;
        height: {$page_banner_height}px;
    }
    .banner-wrapper.portfolio-banner .parallax{
        background-color: $portfolio_bg_color;
        height: {$portfolio_banner_height}px;
    }
    .banner-wrapper.blog .parallax{
        background-color: $blog_bg_color;
        height: {$blog_banner_height}px;
    }  
    ";
	wp_add_inline_style( 'yeti-style', $output_css );

   //Body and Heading Fonts
    $body_font = cs_get_option('body-font');
    $family = isset( $body_font['family'] ) ? $body_font['family'] : 'Libre Franklin';

    $is_line_height = ( isset($body_font['height'] ) ) ? true : false;
    $body_color = isset($body_font['color']) ? $body_font['color'] : '#202020';
    $body_font = isset($body_font['size']) ? $body_font['size'] : '15';
    $body_font_family = 'body{
    	color: '.sanitize_hex_color($body_color).';
    	font-family: '.$family.';
    	font-size: '.$body_font.'px;
    }';

    $h1_size = cs_get_option( 'h1-font-size' );
    $h2_size = cs_get_option( 'h2-font-size' );
    $h3_size = cs_get_option( 'h3-font-size' );
    $h4_size = cs_get_option( 'h4-font-size' );
    $h5_size = cs_get_option( 'h5-font-size' );
    $h6_size = cs_get_option( 'h6-font-size' );


    $heading_font = cs_get_option('heading-font');
    $heading_family = isset( $heading_font['family'] ) ? $heading_font['family'] : 'Poppins';
    $heading_color = isset($heading_font['color']) ? $heading_font['color'] : '#090909';
    $heading_font_family = 'h1, h1 a, h2, h2 a,  h3, h3 a,  h4, h4 a, h5, h5 a,  h6, h6 a{
		color: '.sanitize_hex_color($heading_color).';
    	font-family: '.$heading_family.';
    }    
    
    h1 {
    	font-size: '.$h1_size.'px;
    }

    h2 {
    	font-size: '.$h2_size.'px;
    }

    h3 {
    	font-size: '.$h3_size.'px;
    }

    h4 {
    	font-size: '.$h4_size.'px;
    }

    h5 {
    	font-size: '.$h5_size.'px;
    }

    h6 {
    	font-size: '.$h6_size.'px;
    } 
    ';
    wp_add_inline_style( 'yeti-style', $body_font_family );
    wp_add_inline_style( 'yeti-style', $heading_font_family );

    
	
}
add_action( 'wp_enqueue_scripts', 'yeti_dynamic_styles' );

/**
 * Yeti ::: localize scripts
 */
if( ! function_exists( 'yeti_localize_scripts' ) ) {
	function yeti_localize_scripts() {
		$body_font = cs_get_option('body-font');
		$heading_font = cs_get_option('heading-font');

		$fonts = array();

		if( $body_font['font'] === 'google' ){
			$variants = $body_font['variant'];
			$family = $body_font['family'];
			$variant = ( isset( $variants ) && is_array( $variants ) ) ? implode(',', $variants ) : $variants[0];
			$family_variants = $family . ':'.$variant;
			array_push( $fonts, $family_variants );
		}

		if( $heading_font['font'] === 'google' ) {
			$variants = ( isset( $heading_font['variant'] ) && is_array( $heading_font['variant'] ) ) ? $heading_font['variant'] : array();
			$family = $heading_font['family'];
			if( $variants ){
				$variant = ( isset( $variants ) ) ? implode(',', $variants ) : '';
				$family_variants = $family . ':'.$variant;
			}
			
			array_push( $fonts, $family_variants );
		}

		$data = array('fonts' => $fonts);

		if( wp_script_is( 'webfont' ) ) {
			wp_localize_script( 'webfont', 'yetiFonts', $data );

		}
		
		$script = "try{
			WebFont.load({
	            google: {
	              families: yetiFonts.fonts
	            }
	        })
    	} catch(e){}";

    	if( wp_script_is( 'webfont' ) ) {
    		wp_add_inline_script( 'webfont', $script );	
    	}
	}

	add_action( 'wp_enqueue_scripts', 'yeti_localize_scripts' );
}

function yeti_get_theme_used_google_fonts() {
	$fonts = array();

	$body = cs_get_option( 'body-font' );
	$heading = cs_get_option( 'heading-font' );

	if( $body && $body['font'] === 'google' ) {
		$family = $body['family'];
		$variants = '';
		if( is_array( $body['variant'] ) && count( $body['variant'] ) > 1 ) {
			$variants = implode(',', $body['variant'] );
		} else {
			$variants = $body['variant'][0];
		}
		
		$fonts[$family] = $variants;
	}

	if( $heading && $heading['font'] === 'google' ) {
		$family = $heading['family'];
		$variants = '';
		if( ! empty( $heading['variant'] ) && count( $heading['variant'] ) > 1 ) {
			$variants = implode(',', $heading['variant'] );
		} else {
			$variants = $heading['variant'][0];
		}
		$fonts[$family] = $variants;
	}

	return $fonts;
}



/**
 * Google Font URL builder
 * Combine multiple google font in one URL
 */
function yeti_google_fonts_url( $fonts, $subsets = array() ){
 
    /* URL */
    $base_url    =  "//fonts.googleapis.com/css";
    $font_args   = array();
    $family      = array();
 
    /* Format Each Font Family in Array */
    foreach( $fonts as $font_name => $font_weight ){
        $font_name = str_replace( ' ', '+', $font_name );
        if( !empty( $font_weight ) ){
            if( is_array( $font_weight ) ){
                $font_weight = implode( ",", $font_weight );
            }
            $family[] = trim( $font_name . ':' . urlencode( trim( $font_weight ) ) );
        }
        else{
            $family[] = trim( $font_name );
        }
    }
 
    /* Only return URL if font family defined. */
    if( !empty( $family ) ){
 
        /* Make Font Family a String */
        $family = implode( "|", $family );
 
        /* Add font family in args */
        $font_args['family'] = $family;
 
        /* Add font subsets in args */
        if( !empty( $subsets ) ){
 
            /* format subsets to string */
            if( is_array( $subsets ) ){
                $subsets = implode( ',', $subsets );
            }
 
            $font_args['subset'] = urlencode( trim( $subsets ) );
        }
 
        return add_query_arg( $font_args, $base_url );
    }
 
    return '';
}


/**
 * Registers an editor stylesheet for the current theme.
 */
function yeti_theme_add_editor_styles() {
	$fonts = yeti_get_theme_used_google_fonts();
	$url = yeti_google_fonts_url( $fonts );
    $font_url = str_replace( ',', '%2C', $url );
    add_editor_style( $font_url );
}
add_action( 'admin_init', 'yeti_theme_add_editor_styles' );