<?php

/* Footer One */

$logo = cs_get_option('footer_logo');
$logo_img = wp_get_attachment_image_src( $logo, 'full' );
$footer_social = cs_get_option('footer_social_enable');
$footer_email = cs_get_option('footer_email');
$footer_phone = cs_get_option('footer_phone');
$footer_address = cs_get_option('footer_address');
?>
<footer class="first-footer section-padding text-center">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <?php if($logo!=''){?>
                <figure class="footer-logo">
                    <img src="<?php echo esc_url($logo_img[0]);?>" alt="<?php echo esc_attr('Footer Logo','yeti');?>">
                </figure>
                <?php }?>
                <?php if($footer_email || $footer_phone || $footer_address){?>
                <ul class="contact-info font2">
                    <?php if($footer_email!=''){?>
                    <li><a href="mailto:<?php echo esc_attr($footer_email);?>"><?php echo esc_html($footer_email);?></a></li>
                    <?php } if($footer_phone!=''){?>
                    <li><a href="tel:<?php echo esc_attr($footer_phone);?>"><?php echo esc_html($footer_phone);?></a></li>
                    <?php } if($footer_address!=''){?>
                    <li class="address">
                        <p><?php echo esc_html($footer_address);?></p>
                    </li>
                    <?php }?>
                </ul>
                <?php }?>
                <?php if($footer_social==1){
					yeti_social_icons();
                }?>
                <p class="copyright">
		            <?php
		            if(class_exists('Kath_Custom_Elements')) {
		                $default_text = esc_html__( '&copy; Copyright [site_name]. All rights reserved - [year].', 'yeti' );
		            } else {
		                $default_text = esc_html__( '&copy; Copyright Yeti. All rights reserved - 2019', 'yeti' );
		            }
		            $copyright_text = cs_get_option( 'footer_copyright', $default_text );
                    if(class_exists('Kath_Custom_Elements')) {
                    echo yeti_print_shortcode($copyright_text);
                    }else{
                        echo wp_kses_post($copyright_text);
                    }
		            ?>
                </p>
            </div>
        </div>
    </div>
</footer>