<?php
$meta = get_post_meta(get_the_ID(),'yeti_portfolio_option',true);
$company = isset($meta['company']) ? $meta['company'] : '';

$taxonomy = 'portfolio_cat';
$terms = get_the_terms(get_the_ID(),$taxonomy); 

if ( $terms && !is_wp_error( $terms ) ) :
    $tslugs_arr = array();
  foreach ( $terms as $term ) {
    $tslugs_arr[] = $term->slug;
  }
  $terms_slug_str = join( " ", $tslugs_arr);
endif;
?>
<div class="portfolio-image v3 <?php echo esc_attr($terms_slug_str);?>">
    <figure>
        <a href="<?php the_post_thumbnail_url('full');?>" data-lightbox="image-1" data-title="<?php the_title_attribute();?>">
            <img src="<?php the_post_thumbnail_url('yeti-portfolio3');?>" alt="<?php the_title_attribute();?>">
            <span class="overlay"></span>
        </a>
    </figure>
    <h4>
        <a href="#">
            <small><?php the_title();?></small>
            <?php if($company){ echo esc_html($company); }?>
        </a>
    </h4>
</div>