<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yeti
 */

get_header();

if(has_post_thumbnail()){
	$banner_image = get_the_post_thumbnail_url();
}else{
	$banner_image = cs_get_option('page_banner_image');
}

?>
<section class="banner-wrapper inner page">
	<figure class="service-parallax parallax parallax-window12" data-parallax="scroll" data-image-src="<?php echo esc_url($banner_image);?>">
        <span class="overlay"></span>         
    </figure>
	<div class="banner-content journal text-center font1">
		<div class="container">
            <div class="row">
                <div class="col-md-10 col-md-offset-1 col-sm-12 col-xs-12">
                    <h1>
                    <?php the_title();?>
                    </h1>
                </div>
            </div>
		</div>
	</div>
</section>

<?php
while ( have_posts() ) :
	the_post();
    $meta = get_post_meta(get_the_ID(),'_custom_meta',true);
    $sidebar = isset($meta['page_sidebar_position']) ? $meta['page_sidebar_position'] : 'nosidebar';
	if($sidebar == 'nosidebar'){
		$c_class = 'col-xs-12 col-sm-12 col-md-12';
	}else{
		$c_class = 'col-xs-12 col-sm-7 col-md-8';
	}
	?>
	<section id="down-arrow" class="who-we-are-wrapper about-us v1 section-padding">
		<div class="container <?php echo esc_attr($sidebar);?>">
			<div class="row">
				<div class="<?php echo esc_attr($c_class);?>">

					<?php get_template_part( 'template-parts/content', 'page' ); ?>
                    <?php 			
		            // If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
					?>
				</div>
				<?php if($sidebar != 'nosidebar'){?>
				<div class="col-xs-12 col-sm-5 col-md-4 side-bar">
		            <?php get_sidebar();?>
				</div>
				<?php }?>
			</div>
		</div>
	</section>				
<?php	
endwhile; // End of the loop.

get_footer();
