<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package yeti
 */

get_header();
?>

<?php 

$sidebar = cs_get_option('blog_sidebar_layout','nosidebar');

if($sidebar == 'nosidebar'){
	$c_class = 'col-xs-12 col-sm-12 col-md-12';
}else{
	$c_class = 'col-xs-12 col-sm-7 col-md-8';
}
$blog_banner = cs_get_option('blog_banner'); 
?>
<section class="banner-wrapper inner blog">
	<figure class="service-parallax parallax parallax-window12" data-parallax="scroll" data-image-src="<?php echo esc_url($blog_banner);?>">
        <span class="overlay"></span>         
    </figure>
	<div class="banner-content journal text-center font1">
		<div class="container">
            <div class="row">
                <div class="col-md-10 col-md-offset-1 col-sm-12 col-xs-12">
					<h1 class="page-title">
						<?php
						/* translators: %s: search query. */
						printf( esc_html__( 'Search Results for: %s', 'yeti' ), '<span>' . get_search_query() . '</span>' );
						?>
					</h1>
                </div>
            </div>
		</div>
	</div>
</section>
<section class="journal-block-wrapper section-padding">
    <div class="container <?php echo esc_attr($sidebar);?>">
        <div class="row">
            <div class="<?php echo esc_attr($c_class);?>">

				<?php
				if ( have_posts() ) :
                    echo '<div class="row">';
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						/*
						 * Include the Post-Type-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
						 */
						get_template_part( 'template-parts/archive/archive', 'list' );

					endwhile;
                    echo '</div>';
					the_posts_pagination( array(
	                  'prev_text' => '<i class="fa fa-chevron-left"></i>',
	                  'next_text'  => '<i class="fa fa-chevron-right"></i>',
					) );
                    
				else :

					get_template_part( 'template-parts/content', 'none' );

				endif;
				?> 
			</div>	
			<?php if($sidebar != 'nosidebar'){?>
			<div class="col-xs-12 col-sm-5 col-md-4 side-bar">
                <?php get_sidebar();?>
			</div>
			<?php }?>
		</div>
	</div>
</section>			

<?php

get_footer();
