<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package yeti
 */

get_header();
?>
<?php
$single_layout = cs_get_option('single_post_layout','full');
$sidebar = cs_get_option('blog_single_sidebar_layout','rightsidebar');
if($single_layout == 'full'){
    $sidebar = 'nosidebar';
    if(!has_post_thumbnail()){
        $sidebar .= ' no-image';
    }
}
if(has_post_thumbnail() && $single_layout=='full'){
?>
<!-- Banner starts -->
<section class="banner-wrapper inner">
	<figure class="service-parallax parallax parallax-window12" data-parallax="scroll" data-image-src="<?php the_post_thumbnail_url();?>">
        <span class="overlay"></span>         
    </figure>
	<div class="banner-content text-center font1">
		<div class="container">
            <div class="row">
                <div class="col-md-10 col-md-offset-1 col-sm-12 col-xs-12">
                    <?php the_category();?>
                    <h1><?php the_title();?></h1>
                    <?php yeti_entry_meta();?>
                </div>
            </div>
		</div>
	</div>
</section>
<!-- Banner Ends -->
<?php }?>

<section class="case-study-single-wrapper journal section-padding <?php echo esc_attr($sidebar);?>">
    <div class="container">
        <div class="row">
			<?php
			while ( have_posts() ) :
				the_post();
                
                if($single_layout == 'full'){
                    $layout = 'layout1';
                }else{
                    $layout = 'layout2';
                }
                get_template_part( 'template-parts/single/single', $layout );

			endwhile; // End of the loop.
			?>
		</div>
	</div>
</section>	

<?php 
$cta_content = cs_get_option('cta_content');
if($cta_content!=''){
?>
<!-- We Are Hiring Starts -->
<section class="hiring-wrapper text-center bg8 section-padding">
    <div class="hiring">
    <?php echo apply_filters('the_content',$cta_content);?>
    </div>
</section>
<!-- We Are Hiring Ends -->
<?php }?>



<?php
get_footer();
