<?php

/*

Template Name:Blog Page

*/

get_header();
while(have_posts()){
	the_post();
	$meta = get_post_meta(get_the_ID(),'_custom_meta',true);
	$blog_title = get_the_title();
	if(get_the_content(get_the_ID())!=''){
		$blog_desc = get_the_content(get_the_ID());
	}else{
		$blog_desc = cs_get_option('blog_desc');
	}
	$sidebar = isset($meta['page_sidebar_position']) ? $meta['page_sidebar_position'] : 'nosidebar';
	if(has_post_thumbnail()){
		$blog_banner = get_the_post_thumbnail_url();
	}else{
        $blog_banner = cs_get_option('blog_banner'); 
	}
}
wp_reset_postdata();	

$archive_layout = isset($meta['blog_page_layout']) ? $meta['blog_page_layout'] : 'list';
?>
<!-- Banner starts -->
<?php 

if($sidebar == 'nosidebar'){
	$c_class = 'col-xs-12 col-sm-12 col-md-12';
}else{
	$c_class = 'col-xs-12 col-sm-7 col-md-8';
}
if($archive_layout == 'list'){?>
<section class="banner-wrapper inner blog">
	<figure class="service-parallax parallax parallax-window12" data-parallax="scroll" data-image-src="<?php echo esc_url($blog_banner);?>">
        <span class="overlay"></span>         
    </figure>
	<div class="banner-content journal text-center font1">
		<div class="container">
            <div class="row">
                <div class="col-md-10 col-md-offset-1 col-sm-12 col-xs-12">
                    <h1>
                    <span><?php echo wp_kses_post($blog_desc);?></span>
                    <?php echo esc_html($blog_title);?>
                    </h1>

                    <a href="#down-arrow" class="down">
                        <span></span>
                    </a>
                </div>
            </div>
		</div>
	</div>
</section>
<?php } else{?>
<section class="intro-text-wrapper case bg16">
    <div class="intro-text">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-sm-10 col-xs-12">
                    <h1><?php echo esc_html($blog_title);?></h1>
                    <div class="dis-title">
                        <p><?php echo wp_kses_post($blog_desc);?></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php }?>
<!-- Banner Ends -->
<?php if($archive_layout == 'list'){?>
<section id="down-arrow" class="case-study-single-wrapper v1 journal section-padding">
<?php }else{?>
<section class="journal-block-wrapper section-padding">
<?php }?>
    <div class="container <?php echo esc_attr($sidebar);?>">
        <div class="row">
            <div class="<?php echo esc_attr($c_class);?>">
			<?php
	        $args = array(
	            'post_type' => 'post',
	            'posts_per_page' => get_option('posts_per_page',true),
	            'post_status' => 'publish'
	        );
	        $query = new WP_Query( $args );
			if ( $query->have_posts() ) :
                echo '<div class="row">';
				/* Start the Loop */
				while ( $query->have_posts() ) :
					$query->the_post();

					/*
					 * Include the Post-Type-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
					 */
					get_template_part( 'template-parts/archive/archive', $archive_layout );

				endwhile;

				echo '</div>';

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			wp_reset_postdata();
			?>
		</div>
		<?php if($sidebar != 'nosidebar'){?>
		<div class="col-xs-12 col-sm-5 col-md-4 side-bar">
            <?php get_sidebar();?>
		</div>
		<?php }?>
	</div>
</section>			


<?php

get_footer();
