<?php

/*

Template Name:Portfolio

*/

get_header();
while(have_posts()){
	the_post();
	$meta = get_post_meta(get_the_ID(),'_custom_meta',true);
	$portfolio_layout = isset($meta['portfolio_layout']) ? $meta['portfolio_layout'] : 'layout1';
	$portfolio_title = isset($meta['portfolio_title']) ? $meta['portfolio_title'] : '';
	if($portfolio_title!=''){
		$title = $portfolio_title;
	}else{
		$title = get_the_title();
	}
?>
<!-- Banner starts -->
<section class="banner-wrapper inner portfolio-banner">
    <figure class="parallax parallax-window7" data-parallax="scroll" data-image-src="<?php the_post_thumbnail_url('full');?>">
        <span class="overlay"></span>
    </figure>

    <div class="banner-content text-center font1">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-md-offset-2 col-sm-10 col-sm-offset-1 col-xs-12">
                    <h1><?php echo esc_html($title);?></h1>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Banner Ends -->
<?php
}
wp_reset_postdata();
?>
<!-- Portfolio Starts -->
<section class="portfolio-wrapper section-padding">
    <div class="container">
        <ul class="portfolio-title font1">
            <li class="active"><a href="#" data-filter="*"><?php echo esc_html__('All','yeti');?></a></li>
            <?php 
            $taxonomy = 'portfolio_cat';  
            $terms = get_terms($taxonomy); 
            if ( $terms && !is_wp_error( $terms ) ) :
	            foreach ( $terms as $term ) {
                    ?>
                    <li><a href="javascript:void(0)" data-filter=".<?php echo esc_attr($term->slug); ?>" class="txt-dark">
                    <?php echo esc_html($term->name);?></a></li>
                    <?php
	            }
            endif;
            ?>
        </ul>

        <div class="portfolio-images-wrapper">
            <div class="portfolio">
			<?php
	        $args = array(
	            'post_type' => 'yeti_portfolio',
	            'posts_per_page' => -1,
	            'post_status' => 'publish'
	        );
	        $query = new WP_Query( $args );
			if ( $query->have_posts() ) :
				/* Start the Loop */
				while ( $query->have_posts() ) :
					$query->the_post();

					/*
					 * Include the Post-Type-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
					 */
					get_template_part( 'layouts/portfolio/portfolio', $portfolio_layout );

				endwhile;

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			wp_reset_postdata();
			?>
            </div>
        </div>
    </div>
</section>            
<?php
get_footer();